# Uses of Interface
org.springframework.aop.framework.AopProxyFactory

Packages that use AopProxyFactory
Package
Description
org.springframework.aop.framework
Package containing Spring's basic AOP infrastructure, compliant with the AOP Alliance interfaces.

## Uses of AopProxyFactory in org.springframework.aop.framework

Classes in org.springframework.aop.framework that implement AopProxyFactory
Modifier and Type
Class
Description
`class`
`DefaultAopProxyFactory`
Default `AopProxyFactory` implementation, creating either a CGLIB proxy or a JDK dynamic proxy.
Methods in org.springframework.aop.framework that return AopProxyFactory
Modifier and Type
Method
Description
`AopProxyFactory`
ProxyCreatorSupport.`getAopProxyFactory()`
Return the AopProxyFactory that this ProxyConfig uses.
Methods in org.springframework.aop.framework with parameters of type AopProxyFactory
Modifier and Type
Method
Description
`void`
ProxyCreatorSupport.`setAopProxyFactory(AopProxyFactory aopProxyFactory)`
Customize the AopProxyFactory, allowing different strategies to be dropped in without changing the core framework.
Constructors in org.springframework.aop.framework with parameters of type AopProxyFactory
Modifier
Constructor
Description
``
`ProxyCreatorSupport(AopProxyFactory aopProxyFactory)`
Create a new ProxyCreatorSupport instance.